Name:		sdlmess
Version:	0149s
Release:	%mkrel 1
Summary:	Multi Emulator Super System
License:	MAME Distribution License
Group:		Emulators
URL:		http://www.mess.org/
Source0:	mess%{version}.tar.xz
Source1:	endings.tar.xz
#-------------------------------------------
BuildRequires:	rsync
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}SDL_ttf-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xinerama-devel
BuildRequires: %{_lib}expat1-devel
BuildRequires: %{_lib}wxgtk2.8-devel
BuildRequires: %{_lib}gconfmm2.6_1-devel
#--------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
MESS is an acronym which stands for Multi Emulator Super
System. MESS documents and reproduces through emulation
the inner components of computers, consoles, chess
computers and calculators. As a nice side-effect, MESS
allows to use on a modern PC those programs and games
which were originally developed for the emulated machines.
 

%prep
%setup -q -n mess%{version}
tar xf %{SOURCE1}
unzip -o mame.zip
./endings
rm -rf mame.zip endings docs/windows.txt docs/mame.txt

%build
# make mess (sic.)
%make all TARGET=mess PREFIX=sdl

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_gamesbindir}
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}

rsync --exclude={makefile,whatsnew.txt} * %{buildroot}%{_gamesbindir}
cp -R {artwork,hash,hlsl,keymaps} %{buildroot}%{_gamesdatadir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/* whatsnew.txt
%{_gamesbindir}
%{_gamesdatadir}

%changelog
* Sun Dec 29 2013 MBantz <martin dot bantz at gmail dot com> sdlmess-0149s-1pclinuxos2014
- Adapted to PCLinuxOS from littletux at zarb dot org

